package com.shxy.xymanager_common.dto;

import lombok.Data;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;
import java.util.List;

@Data
public class TerminalsAndLineAndChannelDto implements Serializable {
    private Integer id;

    private Integer lineid;

    private String linename;

    private Integer towerid;

    private String towername;

    private String cmdid;

    private Short orgId;

    private String equipName;

    private String displayName;

    private String model;

    private String essentialInfoVersion;

    private Byte hasPan;

    private String bsManufacturer;

    private Date bsProductionDate;

    private String bsIdentifier;

    private Double latitude;

    private Double longitude;

    private Integer markId;

    private Integer width;

    private Integer height;

    private String color;

    private Short boderWidth;

    private Short signalStrength4g;

    private BigInteger bootTime;

    private float batteryCapacity;

    private float batteryVoltage;

    private BigInteger lastHeartbeat;

    private List<TerminalChannelsDto> list;

    private static final long serialVersionUID = 1L;

}