package com.shxy.xymanager_common.entity;

import lombok.Data;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@Data
public class TerminalStatus implements Serializable {
    private Integer termId;

    private BigInteger lastHeartbeat;

    private Short lastFrameNo;

    private Float batteryVoltage;

    private Float opTemperature;

    private Float batteryCapacity;

    private Byte floatingCharge;

    private Integer totalWorkingTime;

    private Integer workingTime;

    private Integer gpsStatus;

    private Integer connectionState;

    private Integer signalStrength4g;

    private Integer signalStrength2g;

    private Integer remainingRam;

    private Integer remainingRom;

    private BigInteger bootTime;

    private BigInteger updateTime;

    private static final long serialVersionUID = 1L;

}