package com.shxy.xymanager_dao.dao;

import com.shxy.xymanager_common.dto.TowerDto;
import com.shxy.xymanager_common.entity.Tower;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;


public interface TowerDao {

   int addTower(@Param("list") List<Tower> towerLst, @Param("date")Date date);

   List<TowerDto> selectAll(@Param("status") Integer status);

   List<Tower> selectAllByLineid(@Param("lineid") Integer id,@Param("status") Integer status);

   List<Tower> selectAllByLineidList(@Param("lineidlist") List<Integer> id,@Param("status") Integer status);

   int deleteById(@Param("list") List<Tower> record, @Param("status") Integer status, @Param("update") Date update);

   int updateByPrimaryKeySelective(@Param("data") Tower record, @Param("update") Date update);

   TowerDto getInfoByPrimaryKey(@Param("id") Integer id, @Param("status") Integer status);
}