package com.shxy.xymanager_common.vo;

import cn.hutool.core.date.DateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel(value = "返回图片参数查询", description = "返回图片参数查询")
public class ReturnedPhotoParamsGetVo {
    @NotNull(message = "不能传入空值")
    @ApiModelProperty(value = "监测装置id", required = true, example = "A0001")
    private String cmdId;


    @ApiModelProperty(value = "通道ID", required = true, example = "A0001")
    private Short channelId;
}
